Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.configuration
Class DefaultContentHandler

    java.lang.Object
      com.atlassian.bamboo.configuration.DefaultContentHandler

All Implemented Interfaces:
  ContentHandler

Direct Known Subclasses:
  AntXmlTestResultsParser, MimeTypeLoader

    public class DefaultContentHandler

extends Object
implements ContentHandler

This class provides some common SAX parsing behaviour

Field Summary
`protected static String` | `DEFAULT_PARSER`

Constructor Summary
`DefaultContentHandler()`

Method Summary
`void` | `characters(char[] chars, int start, int end)`
`void` | `endDocument()`
`void` | `endElement(String uri, String localName, String qName)`
`void` | `endPrefixMapping(String buildName)`
`void` | `ignorableWhitespace(char[] chars, int i, int i1)`
`void` | `processingInstruction(String buildName, String buildName1)`
`protected void` | `registerElementParser(String elementName, ElementParser elementParser)` Add an `ElementParser` to process an element with the given elementName
`void` | `setDocumentLocator(Locator locator)`
`void` | `skippedEntity(String buildName)`
`void` | `startDocument()`
`void` | `startElement(String uri, String localName, String qName, Attributes attributes)`
`void` | `startPrefixMapping(String buildName, String buildName1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PARSER

    protected static final String DEFAULT_PARSER

See Also:
  Constant Field Values

Constructor Detail

### DefaultContentHandler

    public DefaultContentHandler()

Method Detail

### registerElementParser

    protected void registerElementParser(String elementName,
                                         ElementParser elementParser)

  Add an `ElementParser` to process an element with the given elementName

  Parameters:
    `elementName` - The name of the element to process
    `elementParser` - How to process an elementName element

### setDocumentLocator

    public void setDocumentLocator(Locator locator)

  Specified by:
    `setDocumentLocator` in interface `ContentHandler`

### startDocument

    public void startDocument()
                       throws SAXException

  Specified by:
    `startDocument` in interface `ContentHandler`
  Throws:
    `SAXException`

### endDocument

    public void endDocument()
                     throws SAXException

  Specified by:
    `endDocument` in interface `ContentHandler`
  Throws:
    `SAXException`

### startPrefixMapping

    public void startPrefixMapping(String buildName,
                                   String buildName1)
                            throws SAXException

  Specified by:
    `startPrefixMapping` in interface `ContentHandler`
  Throws:
    `SAXException`

### endPrefixMapping

    public void endPrefixMapping(String buildName)
                          throws SAXException

  Specified by:
    `endPrefixMapping` in interface `ContentHandler`
  Throws:
    `SAXException`

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

  Specified by:
    `startElement` in interface `ContentHandler`
  Throws:
    `SAXException`

### endElement

    public void endElement(String uri,
                           String localName,
                           String qName)
                    throws SAXException

  Specified by:
    `endElement` in interface `ContentHandler`
  Throws:
    `SAXException`

### characters

    public void characters(char[] chars,
                           int start,
                           int end)
                    throws SAXException

  Specified by:
    `characters` in interface `ContentHandler`
  Throws:
    `SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] chars,
                                    int i,
                                    int i1)
                             throws SAXException

  Specified by:
    `ignorableWhitespace` in interface `ContentHandler`
  Throws:
    `SAXException`

### processingInstruction

    public void processingInstruction(String buildName,
                                      String buildName1)
                               throws SAXException

  Specified by:
    `processingInstruction` in interface `ContentHandler`
  Throws:
    `SAXException`

### skippedEntity

    public void skippedEntity(String buildName)
                       throws SAXException

  Specified by:
    `skippedEntity` in interface `ContentHandler`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.